WinDef.USHORTByReference (JNA API)

com.sun.jna.platform.win32

## Class WinDef.USHORTByReference

- java.lang.Object
- - com.sun.jna.PointerType
  - - com.sun.jna.ptr.ByReference
    - - com.sun.jna.platform.win32.WinDef.USHORTByReference

- All Implemented Interfaces:
    NativeMapped
  Enclosing interface:
    WinDef

      public static class WinDef.USHORTByReference
      extends ByReference

  The Class USHORTByReference.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `USHORTByReference()` Instantiates a new USHORT by reference.
    `USHORTByReference(short value)` Instantiates a new USHORT by reference.
    `USHORTByReference(WinDef.USHORT value)` Instantiates a new USHORT by reference.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `WinDef.USHORT` | `getValue()` Gets the value.
    `void` | `setValue(WinDef.USHORT value)` Sets the value.

    - ### Methods inherited from class com.sun.jna.ptr.ByReference

      `toString`

    - ### Methods inherited from class com.sun.jna.PointerType

      `equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### USHORTByReference

          public USHORTByReference()

      Instantiates a new USHORT by reference.

    - #### USHORTByReference

          public USHORTByReference(WinDef.USHORT value)

      Instantiates a new USHORT by reference.
      Parameters:
        `value` - the value

    - #### USHORTByReference

          public USHORTByReference(short value)

      Instantiates a new USHORT by reference.
      Parameters:
        `value` - the value

  - ### Method Detail

    - #### setValue

          public void setValue(WinDef.USHORT value)

      Sets the value.
      Parameters:
        `value` - the new value

    - #### getValue

          public WinDef.USHORT getValue()

      Gets the value.
      Returns:
        the value

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.